<a *ngIf="viewAvailable && !!run.id" [routerLink]="'/xrd/run/' + run.id" class="icon-wrapper" matTooltip="View Job">
  <mat-icon inline>
    visibility
  </mat-icon>
</a>
<a
  *ngIf="copyAvailable && !!run.id"
  [routerLink]="'/xrd/run/' + run.id + '/copy'"
  class="icon-wrapper"
  matTooltip="Copy"
>
  <mat-icon inline>
    content_copy
  </mat-icon>
</a>
<span
  *ngIf="deleteAvailable && !!run.id && canEdit(run)"
  class="icon-wrapper delete-button"
  (click)="removeRun($event)"
  matTooltip="Remove"
>
  <mat-icon inline>
    delete_outline
  </mat-icon>
</span>
<span
  *ngIf="compareAvailable && !!run.id && run.status === 'COMPLETE'"
  class="icon-wrapper"
  (click)="addToCompare($event)"
  matTooltip="Compare"
>
  <fa-icon [icon]="['fas', 'balance-scale-left']"></fa-icon>
</span>
<span
  *ngIf="exportAvailable && !!run.id && run.status === 'COMPLETE'"
  class="icon-wrapper"
  (click)="exportAlgorithmResult($event)"
  matTooltip="Export Algorithm Result"
>
  <fa-icon [icon]="['far', 'file-excel']"></fa-icon>
</span>
